Bug 1016753 - Review Request: nodejs-bson - bson parser for node.js
Review Request: nodejs-bson - bson parser for node.js
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On: 1016770
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 11:51 EDT by Troy Dawson
Modified: 2014-01-11 03:47 EST (History)
3 users (show)

See Also:
Fixed In Version: nodejs-bson-0.2.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-10-08 11:51:48 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson-0.2.2-1.fc20.src.rpm
Description: A JS/C++ Bson parser for node, used in the MongoDB Native driver.
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-10-08 11:52:17 EDT
Note: This package is to satisfy a dependency of nodejs-mongodb.  The latest version of nodejs-mongodb requires nodejs-bson = 0.2.2.  mongodb and bson drivers are typically linked very closely.
A few days ago this package was updated to a newer version, but the mongodb module was not.  I would like to have this review be for version  0.2.2.
When the mongodb module is updated, I will update both it and this package.
Comment 2 Yohan Graterol 2013-10-10 13:00:45 EDT
Hello Troy,

The some issues:

1 - The last version is 0.2.3 not 0.2.2, please update to the last version.
2 - I see test in the package, please add the macro %check or you should indicate if the test don't run.
3 - The package have a dependency: "nan", "one" and "nodeunit". [0][1][2][3]

, "dependencies": {
      "nan": "~0.4.1"
  }
, "devDependencies": {
      "nodeunit": "0.7.3"
	  , "gleak": "0.2.3"
    , "one": "2.X.X"
  }

4 - Can you add the LICENSE file from upstream?
Comment 4 Yohan Graterol 2013-10-10 13:05:23 EDT
Oh, I skipped one dependency: "gleak" (https://npmjs.org/package/gleak).

Please check it.
Comment 5 Troy Dawson 2013-10-11 15:53:29 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson-0.2.3-1.fc20.src.rpm

- Updated to latest version - 0.2.3
- Updated BuildRequires to require nan
- Included test, though it is not enabled due to none of the packages being in Fedora.
-- Created Source1 (the tests) and put how it was created in comments
-- Added BuildRequires for npm(gleak), npm(nodeunit), npm(one)
Comment 6 Marek Mahut 2013-11-04 08:34:16 EST
Yohan, any updates on this review request, please?
Comment 7 Yohan Graterol 2013-11-04 09:14:47 EST
Hello Marek,

I waiting to nodejs-nan [0]

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1016770
Comment 8 Troy Dawson 2013-11-12 12:43:20 EST
nodejs-nan has been approved.  I have built it for all fedora versions and done an override, so that it is now useable for building.  nodejs-bson now builds on Fedora.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6172643
Comment 9 Yohan Graterol 2013-11-16 12:28:54 EST
You're right Troy, yes built in Fedora. But you do need rebuild the srpm, because upstream did a change and that provoke an error with MD5 checksum. 

Upstream only did a change, not up the version.
Comment 10 Troy Dawson 2013-11-17 11:42:04 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs-bson-0.2.3-2.fc20.src.rpm

- Updated source to match upstream
Comment 11 Yohan Graterol 2013-11-18 23:08:55 EST
Troy, not found the file srpm. :(
Comment 12 Troy Dawson 2013-11-19 02:51:19 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson-0.2.3-2.fc20.src.rpm

- Correct URL this time.  I'm sorry about that.
Comment 13 Yohan Graterol 2013-11-19 08:19:33 EST
perfect Troy... Now you have a issue of permissions in the file "/usr/lib/node_modules/bson/bson.node" 

You will solve that issue and I will finish the review.
Comment 14 Troy Dawson 2013-11-19 15:02:35 EST
I don't see any issue with the permissions on /usr/lib/node_modules/bson/bson.node
It passes all of my rpmlint tests, and I've tried building it in a variety of places incase I wasn't seeing it.
This is what I see, and from I can tell, it appears to be correct.

# ls -lh /usr/lib/node_modules/bson/bson.node 
-rwxr-xr-x. 1 root root 57K Nov 19 13:55 /usr/lib/node_modules/bson/bson.node

# file /usr/lib/node_modules/bson/bson.node
/usr/lib/node_modules/bson/bson.node: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=0a0922012888c6c433ad363235ecd2455f34f102, stripped

What is it supposed to be?
Comment 15 Yohan Graterol 2013-11-28 00:46:33 EST
> # ls -lh /usr/lib/node_modules/bson/bson.node
> -rwxr-xr-x. 1 root root 57K Nov 19 13:55 /usr/lib/node_modules/bson/bson.node

That is you output, and this is my output :S 

# ls -lh /usr/lib/node_modules/bson/bson.node  
-rwxrwxr-x 1 root root 57K Nov 19 08:37 /usr/lib/node_modules/bson/bson.node

Is obvious than don't have the same permission. (I installed from rpm in koji [0])

I review in detail the source and is the only detail.

If you fix it soon, I will approve. 

[0]  http://koji.fedoraproject.org/koji/taskinfo?taskID=6172643
Comment 16 Troy Dawson 2013-12-03 11:22:17 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson-0.2.3-2.fc20.src.rpm

Koji Test Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6252343

Permission Testing Output:
[root@f20 ~]# rpm -q nodejs-bson
nodejs-bson-0.2.3-3.fc20.x86_64
[root@f20 ~]# rpm -V nodejs-bson
[root@f20 ~]# ls -lh /usr/lib/node_modules/bson/bson.node
-rwxr-xr-x. 1 root root 57K Dec  3 10:00 /usr/lib/node_modules/bson/bson.node
Comment 17 Troy Dawson 2013-12-03 11:23:18 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bson-0.2.3-3.fc20.src.rpm

 - With correct link
Sorry, I seem to have a problem putting up correct links.
Comment 18 Yohan Graterol 2013-12-30 03:17:18 EST
The package is good.

Please rebuilt and upload the same srpm, because don't have the same CHECKSUM.

CHECKSUM(SHA256) this package     : 31239767a6177a596c009ec4fd41d4035964a21cb994f91c09f404d3a62c0b34
CHECKSUM(SHA256) upstream package : ea6e2ef13542721891527d802db5333f4d646ff515527fd1cb61e1a60b9cd1d0
Comment 19 Troy Dawson 2013-12-30 08:29:25 EST
- Done
-- updated source to latest version
-- rebuilt and uploaded the same srpm
Comment 20 Yohan Graterol 2013-12-30 10:56:58 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-bson-0.2.3-3.fc19.x86_64.rpm
          nodejs-bson-0.2.3-3.fc19.src.rpm
nodejs-bson.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-bson.src: W: spelling-error Summary(en_US) js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-bson
nodejs-bson.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-bson (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nodejs(abi)
    nodejs(engine)
    nodejs(v8-abi)
    npm(nan)
    rtld(GNU_HASH)



Provides
--------
nodejs-bson:
    bson.node()(64bit)
    nodejs-bson
    nodejs-bson(x86-64)
    npm(bson)



Source checksums
----------------
http://registry.npmjs.org/bson/-/bson-0.2.3.tgz :
  CHECKSUM(SHA256) this package     : ea6e2ef13542721891527d802db5333f4d646ff515527fd1cb61e1a60b9cd1d0
  CHECKSUM(SHA256) upstream package : ea6e2ef13542721891527d802db5333f4d646ff515527fd1cb61e1a60b9cd1d0

PACKAGE APPROVED
Comment 21 Troy Dawson 2014-01-02 09:31:01 EST
New Package SCM Request
=======================
Package Name: nodejs-bson
Short Description: bson parser for node.js
Owners: tdawson
Branches: f19 f20 el6
InitialCC:
Comment 22 Troy Dawson 2014-01-02 09:31:56 EST
New Package SCM Request
=======================
Package Name: nodejs-bson
Short Description: bson parser for node.js
Owners: tdawson
Branches: f19 f20 f21 el6
InitialCC:
Comment 23 Gwyn Ciesla 2014-01-02 09:37:52 EST
Git done (by process-git-requests).

f21 is not yet branched, it's still devel.
Comment 24 Fedora Update System 2014-01-02 12:18:16 EST
nodejs-bson-0.2.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-bson-0.2.3-3.fc20
Comment 25 Fedora Update System 2014-01-03 03:43:13 EST
nodejs-bson-0.2.3-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2014-01-11 03:47:16 EST
nodejs-bson-0.2.3-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.